=== modified file 'client/drizzledump.cc'
--- client/drizzledump.cc	2009-01-05 23:57:38 +0000
+++ client/drizzledump.cc	2009-01-10 14:34:28 +0000
@@ -225,7 +225,7 @@
    (char**) &opt_delete_master_logs, (char**) &opt_delete_master_logs, 0,
    GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"disable-keys", 'K',
-   "'/*!40000 ALTER TABLE tb_name DISABLE KEYS */; and '/*!40000 ALTER TABLE tb_name ENABLE KEYS */; will be put in the output.", (char**) &opt_disable_keys,
+   "'ALTER TABLE tb_name DISABLE KEYS; and 'ALTER TABLE tb_name ENABLE KEYS; will be put in the output.", (char**) &opt_disable_keys,
    (char**) &opt_disable_keys, 0, GET_BOOL, NO_ARG, 1, 0, 0, 0, 0, 0},
   {"dump-slave", OPT_DRIZZLEDUMP_SLAVE_DATA,
    "This causes the binary log position and filename of the master to be "
@@ -328,7 +328,7 @@
    (char**) &opt_autocommit, (char**) &opt_autocommit, 0, GET_BOOL, NO_ARG,
    0, 0, 0, 0, 0, 0},
   {"no-create-db", 'n',
-   "'CREATE DATABASE /*!32312 IF NOT EXISTS*/ db_name;' will not be put in the output. The above line will be added otherwise, if --databases or --all-databases option was given.}.",
+   "'CREATE DATABASE IF NOT EXISTS db_name;' will not be put in the output. The above line will be added otherwise, if --databases or --all-databases option was given.}.",
    (char**) &opt_create_db, (char**) &opt_create_db, 0, GET_BOOL, NO_ARG, 0, 0,
    0, 0, 0, 0},
   {"no-create-info", 't', "Don't write table creation info.",
@@ -461,31 +461,31 @@
 static void check_io(FILE *file)
 {
   if (ferror(file))
-    die(EX_EOF, "Got errno %d on write", errno);
+    die(EX_EOF, _("Got errno %d on write"), errno);
 }
 
 static void print_version(void)
 {
-  printf("%s  Ver %s Distrib %s, for %s (%s)\n",my_progname,DUMP_VERSION,
+  printf(_("%s  Ver %s Distrib %s, for %s (%s)\n"),my_progname,DUMP_VERSION,
          drizzle_get_client_info(),SYSTEM_TYPE,MACHINE_TYPE);
 } /* print_version */
 
 
 static void short_usage_sub(void)
 {
-  printf("Usage: %s [OPTIONS] database [tables]\n", my_progname);
-  printf("OR     %s [OPTIONS] --databases [OPTIONS] DB1 [DB2 DB3...]\n",
+  printf(_("Usage: %s [OPTIONS] database [tables]\n"), my_progname);
+  printf(_("OR     %s [OPTIONS] --databases [OPTIONS] DB1 [DB2 DB3...]\n"),
          my_progname);
-  printf("OR     %s [OPTIONS] --all-databases [OPTIONS]\n", my_progname);
+  printf(_("OR     %s [OPTIONS] --all-databases [OPTIONS]\n"), my_progname);
 }
 
 
 static void usage(void)
 {
   print_version();
-  puts("By Igor Romanenko, Monty, Jani & Sinisa");
-  puts("This software comes with ABSOLUTELY NO WARRANTY. This is free software,\nand you are welcome to modify and redistribute it under the GPL license\n");
-  puts("Dumping definition and data DRIZZLE database or table");
+  puts(_("By Igor Romanenko, Monty, Jani & Sinisa"));
+  puts(_("This software comes with ABSOLUTELY NO WARRANTY. This is free software,\nand you are welcome to modify and redistribute it under the GPL license\n"));
+  puts(_("Dumping definition and data DRIZZLE database or table"));
   short_usage_sub();
   print_defaults("drizzle",load_default_groups);
   my_print_help(my_long_options);
@@ -496,7 +496,7 @@
 static void short_usage(void)
 {
   short_usage_sub();
-  printf("For more options, use %s --help\n", my_progname);
+  printf(_("For more options, use %s --help\n"), my_progname);
 }
 
 static void write_header(FILE *sql_file, char *db_name)
@@ -532,14 +532,14 @@
     }
     if (opt_set_charset)
       fprintf(sql_file,
-"\n/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;"
-"\n/*!40101 SET NAMES %s */;\n",default_charset);
+"\nSET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION;"
+"\nSET NAMES %s;\n",default_charset);
 
     if (!path)
     {
       fprintf(md_result_file,"\
-/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;\n\
-/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;\n\
+SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;\n\
+SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;\n\
 ");
     }
     check_io(sql_file);
@@ -559,11 +559,11 @@
     if (!path)
     {
       fprintf(md_result_file,"\
-/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;\n\
-/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;\n");
+SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;\n\
+SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;\n");
     }
     if (opt_set_charset)
-      fprintf(sql_file, "/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;\n");
+      fprintf(sql_file, "SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION;\n");
     if (opt_comments)
     {
       if (opt_dump_date)
@@ -631,8 +631,8 @@
       opt_password= strdup(argument);
       if (opt_password == NULL)
       {
-        fprintf(stderr, "Memory allocation error while copying password. "
-                        "Aborting.\n");
+        fprintf(stderr, _("Memory allocation error while copying password. "
+                        "Aborting.\n"));
         exit(ENOMEM);
       }
       while (*argument)
@@ -671,7 +671,7 @@
         a crash even if the input destination buffer is large enough
         to hold the output.
       */
-      die(EX_USAGE, "Input filename too long: %s", argument);
+      die(EX_USAGE, _("Input filename too long: %s"), argument);
     }
 
     break;
@@ -714,7 +714,7 @@
   {
     if (!strchr(argument, '.'))
     {
-      fprintf(stderr, "Illegal use of option --ignore-table=<database>.<table>\n");
+      fprintf(stderr, _("Illegal use of option --ignore-table=<database>.<table>\n"));
       exit(1);
     }
     char * tmpptr= strdup(argument);
@@ -739,7 +739,7 @@
       if (error_len)
       {
         strncpy(buff, err_ptr, min((uint32_t)sizeof(buff), error_len));
-        fprintf(stderr, "Invalid mode to --compatible: %s\n", buff);
+        fprintf(stderr, _("Invalid mode to --compatible: %s\n"), buff);
         exit(1);
       }
       mode= opt_compatible_mode;
@@ -799,7 +799,7 @@
                 fields_terminated))
   {
     fprintf(stderr,
-            "%s: You must use option --tab with --fields-...\n", my_progname);
+            _("%s: You must use option --tab with --fields-...\n"), my_progname);
     return(EX_USAGE);
   }
 
@@ -816,8 +816,8 @@
     opt_master_data= DRIZZLE_OPT_MASTER_DATA_COMMENTED_SQL;
   if (opt_single_transaction && opt_lock_all_tables)
   {
-    fprintf(stderr, "%s: You can't use --single-transaction and "
-            "--lock-all-tables at the same time.\n", my_progname);
+    fprintf(stderr, _("%s: You can't use --single-transaction and "
+            "--lock-all-tables at the same time.\n"), my_progname);
     return(EX_USAGE);
   }
   if (opt_master_data)
@@ -829,13 +829,13 @@
     lock_tables= 0;
   if (enclosed && opt_enclosed)
   {
-    fprintf(stderr, "%s: You can't use ..enclosed.. and ..optionally-enclosed.. at the same time.\n", my_progname);
+    fprintf(stderr, _("%s: You can't use ..enclosed.. and ..optionally-enclosed.. at the same time.\n"), my_progname);
     return(EX_USAGE);
   }
   if ((opt_databases || opt_alldbs) && path)
   {
     fprintf(stderr,
-            "%s: --databases or --all-databases can't be used with --tab.\n",
+            _("%s: --databases or --all-databases can't be used with --tab.\n"),
             my_progname);
     return(EX_USAGE);
   }
@@ -860,7 +860,7 @@
 static void DB_error(DRIZZLE *drizzle_arg, const char *when)
 {
 
-  maybe_die(EX_DRIZZLEERR, "Got error: %d: %s %s",
+  maybe_die(EX_DRIZZLEERR, _("Got error: %d: %s %s"),
           drizzle_errno(drizzle_arg), drizzle_error(drizzle_arg), when);
   return;
 }
@@ -952,7 +952,7 @@
   if (drizzle_query(drizzle_con, query) ||
       (res && !((*res)= drizzle_store_result(drizzle_con))))
   {
-    maybe_die(EX_DRIZZLEERR, "Couldn't execute '%s': %s (%d)",
+    maybe_die(EX_DRIZZLEERR, _("Couldn't execute '%s': %s (%d)"),
             query, drizzle_error(drizzle_con), drizzle_errno(drizzle_con));
     return 1;
   }
@@ -1013,7 +1013,7 @@
 
 static int connect_to_db(char *host, char *user,char *passwd)
 {
-  verbose_msg("-- Connecting to %s...\n", host ? host : "localhost");
+  verbose_msg(_("-- Connecting to %s...\n"), host ? host : "localhost");
   drizzle_create(&drizzle_connection);
   if (opt_compress)
     drizzle_options(&drizzle_connection,DRIZZLE_OPT_COMPRESS,NULL);
@@ -1034,7 +1034,7 @@
 */
 static void dbDisconnect(char *host)
 {
-  verbose_msg("-- Disconnecting from %s...\n", host ? host : "localhost");
+  verbose_msg(_("-- Disconnecting from %s...\n"), host ? host : "localhost");
   drizzle_close(drizzle);
 } /* dbDisconnect */
 
@@ -1044,7 +1044,7 @@
   char *tmp;
 
   if (!(tmp=(char*) malloc(length*2+1)))
-    die(EX_DRIZZLEERR, "Couldn't allocate memory");
+    die(EX_DRIZZLEERR, _("Couldn't allocate memory"));
 
   drizzle_escape_string(tmp, pos, length);
   fputc('\'', file);
@@ -1386,8 +1386,8 @@
   if (delayed && (*ignore_flag & IGNORE_INSERT_DELAYED))
   {
     delayed= 0;
-    verbose_msg("-- Warning: Unable to use delayed inserts for table '%s' "
-                "because it's of type %s\n", table, table_type);
+    verbose_msg(_("-- Warning: Unable to use delayed inserts for table '%s' "
+                "because it's of type %s\n"), table, table_type);
   }
 
   complete_insert= 0;
@@ -1400,7 +1400,7 @@
   insert_option= ((delayed && opt_ignore) ? " DELAYED IGNORE " :
                   delayed ? " DELAYED " : opt_ignore ? " IGNORE " : "");
 
-  verbose_msg("-- Retrieving table structure for table %s...\n", table);
+  verbose_msg(_("-- Retrieving table structure for table %s...\n"), table);
 
   len= snprintf(query_buff, sizeof(query_buff),
                 "SET OPTION SQL_QUOTE_SHOW_CREATE=%d",
@@ -1514,7 +1514,7 @@
   }
   else
   {
-    verbose_msg("%s: Warning: Can't set SQL_QUOTE_SHOW_CREATE option (%s)\n",
+    verbose_msg(_("%s: Warning: Can't set SQL_QUOTE_SHOW_CREATE option (%s)\n"),
                 my_progname, drizzle_error(drizzle));
 
     snprintf(query_buff, sizeof(query_buff), "show fields from %s",
@@ -1623,7 +1623,7 @@
           fputs("\t\t<options Comment=\"view\" />\n", sql_file);
           goto continue_xml;
         }
-        fprintf(stderr, "%s: Can't get keys for table %s (%s)\n",
+        fprintf(stderr, _("%s: Can't get keys for table %s (%s)\n"),
                 my_progname, result_table, drizzle_error(drizzle));
         if (path)
           my_fclose(sql_file, MYF(MY_WME));
@@ -1701,14 +1701,14 @@
         {
           if (drizzle_errno(drizzle) != ER_PARSE_ERROR)
           {                                     /* If old DRIZZLE version */
-            verbose_msg("-- Warning: Couldn't get status information for " \
-                        "table %s (%s)\n", result_table,drizzle_error(drizzle));
+            verbose_msg(_("-- Warning: Couldn't get status information for " \
+                        "table %s (%s)\n"), result_table,drizzle_error(drizzle));
           }
         }
         else if (!(row= drizzle_fetch_row(result)))
         {
           fprintf(stderr,
-                  "Error: Couldn't read status information for table %s (%s)\n",
+                  _("Error: Couldn't read status information for table %s (%s)\n"),
                   result_table,drizzle_error(drizzle));
         }
         else
@@ -1735,8 +1735,7 @@
       check_io(sql_file);
     }
   }
-  if (complete_insert)
-  {
+  if (complete_insert) {
     insert_pat.append(") VALUES ");
     if (!extended_insert)
       insert_pat.append("(");
@@ -1850,14 +1849,14 @@
   */
   if (!get_table_structure(table, db, table_type, &ignore_flag, &num_fields))
   {
-    maybe_die(EX_TABLE_STATUS, "Error retrieving table structure for table: \"%s\"", table);
+    maybe_die(EX_TABLE_STATUS, _("Error retrieving table structure for table: \"%s\""), table);
     return;
   }
 
   /* Check --no-data flag */
   if (opt_no_data)
   {
-    verbose_msg("-- Skipping dump data for table '%s', --no-data was used\n",
+    verbose_msg(_("-- Skipping dump data for table '%s', --no-data was used\n"),
                 table);
     return;
   }
@@ -1868,14 +1867,14 @@
   */
   if (ignore_flag & IGNORE_DATA)
   {
-    verbose_msg("-- Warning: Skipping data for table '%s' because " \
-                "it's of type %s\n", table, table_type);
+    verbose_msg(_("-- Warning: Skipping data for table '%s' because " \
+                "it's of type %s\n"), table, table_type);
     return;
   }
   /* Check that there are any fields in the table */
   if (num_fields == 0)
   {
-    verbose_msg("-- Skipping dump data for table '%s', it has no fields\n",
+    verbose_msg(_("-- Skipping dump data for table '%s', it has no fields\n"),
                 table);
     return;
   }
@@ -1883,7 +1882,7 @@
   result_table= quote_name(table,table_buff, 1);
   opt_quoted_table= quote_name(table, table_buff2, 0);
 
-  verbose_msg("-- Sending SELECT query...\n");
+  verbose_msg(_("-- Sending SELECT query...\n"));
 
   query_string.clear();
   query_string.reserve(1024);
@@ -1938,7 +1937,7 @@
 
     if (drizzle_real_query(drizzle, query_string.c_str(), query_string.length()))
     {
-      DB_error(drizzle, "when executing 'SELECT INTO OUTFILE'");
+      DB_error(drizzle, _("when executing 'SELECT INTO OUTFILE'"));
       return;
     }
   }
@@ -1946,7 +1945,7 @@
   {
     if (!opt_xml && opt_comments)
     {
-      fprintf(md_result_file,"\n--\n-- Dumping data for table %s\n--\n",
+      fprintf(md_result_file,_("\n--\n-- Dumping data for table %s\n--\n"),
               result_table);
       check_io(md_result_file);
     }
@@ -1983,7 +1982,7 @@
     }
     if (drizzle_query_with_error_report(drizzle, 0, query_string.c_str()))
     {
-      DB_error(drizzle, "when retrieving data from server");
+      DB_error(drizzle, _("when retrieving data from server"));
       goto err;
     }
     if (quick)
@@ -1992,14 +1991,14 @@
       res=drizzle_store_result(drizzle);
     if (!res)
     {
-      DB_error(drizzle, "when retrieving data from server");
+      DB_error(drizzle, _("when retrieving data from server"));
       goto err;
     }
 
-    verbose_msg("-- Retrieving rows...\n");
+    verbose_msg(_("-- Retrieving rows...\n"));
     if (drizzle_num_fields(res) != num_fields)
     {
-      fprintf(stderr,"%s: Error in field count for table: %s !  Aborting.\n",
+      fprintf(stderr,_("%s: Error in field count for table: %s !  Aborting.\n"),
               my_progname, result_table);
       error= EX_CONSCHECK;
       goto err;
@@ -2013,7 +2012,7 @@
     /* Moved disable keys to after lock per bug 15977 */
     if (opt_disable_keys)
     {
-      fprintf(md_result_file, "/*!40000 ALTER TABLE %s DISABLE KEYS */;\n",
+      fprintf(md_result_file, "ALTER TABLE %s DISABLE KEYS;\n",
 	      opt_quoted_table);
       check_io(md_result_file);
     }
@@ -2056,7 +2055,7 @@
 
         if (!(field= drizzle_fetch_field(res)))
           die(EX_CONSCHECK,
-                      "Not enough fields from table %s! Aborting.\n",
+                      _("Not enough fields from table %s! Aborting.\n"),
                       result_table);
 
         /*
@@ -2242,7 +2241,7 @@
     if (drizzle_errno(drizzle))
     {
       snprintf(buf, sizeof(buf),
-               "%s: Error %d: %s when dumping table %s at row: %d\n",
+               _("%s: Error %d: %s when dumping table %s at row: %d\n"),
                my_progname,
                drizzle_errno(drizzle),
                drizzle_error(drizzle),
@@ -2256,7 +2255,7 @@
     /* Moved enable keys to before unlock per bug 15977 */
     if (opt_disable_keys)
     {
-      fprintf(md_result_file,"/*!40000 ALTER TABLE %s ENABLE KEYS */;\n",
+      fprintf(md_result_file,"ALTER TABLE %s ENABLE KEYS;\n",
               opt_quoted_table);
       check_io(md_result_file);
     }
@@ -2368,17 +2367,17 @@
       /* Old server version, dump generic CREATE DATABASE */
       if (opt_drop_database)
         fprintf(md_result_file,
-                "\n/*!40000 DROP DATABASE IF EXISTS %s*/;\n",
+                "\nDROP DATABASE IF EXISTS %s;\n",
                 qdatabase);
       fprintf(md_result_file,
-              "\nCREATE DATABASE /*!32312 IF NOT EXISTS*/ %s;\n",
+              "\nCREATE DATABASE IF NOT EXISTS %s;\n",
               qdatabase);
     }
     else
     {
       if (opt_drop_database)
         fprintf(md_result_file,
-                "\n/*!40000 DROP DATABASE IF EXISTS %s*/;\n",
+                "\nDROP DATABASE IF EXISTS %s;\n",
                 qdatabase);
       row = drizzle_fetch_row(dbinfo);
       if (row[1])
@@ -2400,7 +2399,7 @@
 
   if (drizzle_select_db(drizzle, database))
   {
-    DB_error(drizzle, "when selecting the database");
+    DB_error(drizzle, _("when selecting the database"));
     return 1;                   /* If --force */
   }
   if (!path && !opt_xml)
@@ -2464,18 +2463,18 @@
       {
         numrows++;
         query.append( quote_name(table, table_buff, 1));
-        query.append( " READ /*!32311 LOCAL */,");
+        query.append( " READ LOCAL,");
       }
     }
     if (numrows && drizzle_real_query(drizzle, query.c_str(), query.length()-1))
-      DB_error(drizzle, "when using LOCK TABLES");
+      DB_error(drizzle, _("when using LOCK TABLES"));
             /* We shall continue here, if --force was given */
     query.clear();
   }
   if (flush_logs)
   {
     if (drizzle_refresh(drizzle, REFRESH_LOG))
-      DB_error(drizzle, "when doing refresh");
+      DB_error(drizzle, _("when doing refresh"));
            /* We shall continue here, if --force was given */
   }
   while ((table= getTableName(0)))
@@ -2561,7 +2560,7 @@
 
   init_alloc_root(&root, 8192, 0);
   if (!(dump_tables= pos= (char**) alloc_root(&root, tables * sizeof(char *))))
-     die(EX_EOM, "alloc_root failure.");
+     die(EX_EOM, _("alloc_root failure."));
 
   for (; tables > 0 ; tables-- , table_names++)
   {
@@ -2572,7 +2571,7 @@
       if (lock_tables)
       {
         lock_tables_query.append( quote_name(*pos, table_buff, 1));
-        lock_tables_query.append( " READ /*!32311 LOCAL */,");
+        lock_tables_query.append( " READ LOCAL,");
       }
       pos++;
     }
@@ -2582,7 +2581,7 @@
       {
         free_root(&root, MYF(0));
       }
-      maybe_die(EX_ILLEGAL_TABLE, "Couldn't find table: \"%s\"", *table_names);
+      maybe_die(EX_ILLEGAL_TABLE, _("Couldn't find table: \"%s\""), *table_names);
       /* We shall countinue here, if --force was given */
     }
   }
@@ -2597,7 +2596,7 @@
       {
         free_root(&root, MYF(0));
       }
-      DB_error(drizzle, "when doing LOCK TABLES");
+      DB_error(drizzle, _("when doing LOCK TABLES"));
        /* We shall countinue here, if --force was given */
     }
   }
@@ -2607,7 +2606,7 @@
     {
       if (!ignore_errors)
         free_root(&root, MYF(0));
-      DB_error(drizzle, "when doing refresh");
+      DB_error(drizzle, _("when doing refresh"));
     }
      /* We shall countinue here, if --force was given */
   }
@@ -2660,7 +2659,7 @@
     else if (!ignore_errors)
     {
       /* SHOW MASTER STATUS reports nothing and --force is not enabled */
-      my_printf_error(0, "Error: Binlogging on server not active",
+      my_printf_error(0, _("Error: Binlogging on server not active"),
                       MYF(0));
       drizzle_free_result(master);
       maybe_exit(EX_DRIZZLEERR);
@@ -2728,7 +2727,7 @@
     if (!ignore_errors)
     {
       /* SHOW SLAVE STATUS reports nothing and --force is not enabled */
-      my_printf_error(0, "Error: Slave not set up", MYF(0));
+      my_printf_error(0, _("Error: Slave not set up"), MYF(0));
     }
     return 1;
   }
@@ -2787,7 +2786,7 @@
   /* now, start slave if stopped */
   if (drizzle_query_with_error_report(drizzle_con, 0, "START SLAVE"))
   {
-    my_printf_error(0, "Error: Unable to start slave", MYF(0));
+    my_printf_error(0, _("Error: Unable to start slave"), MYF(0));
     return 1;
   }
   return(0);
@@ -2855,33 +2854,12 @@
 
 static int start_transaction(DRIZZLE *drizzle_con)
 {
-  /*
-    We use BEGIN for old servers. --single-transaction --master-data will fail
-    on old servers, but that's ok as it was already silently broken (it didn't
-    do a consistent read, so better tell people frankly, with the error).
-
-    We want the first consistent read to be used for all tables to dump so we
-    need the REPEATABLE READ level (not anything lower, for example READ
-    COMMITTED would give one new consistent read per dumped table).
-  */
-  if ((drizzle_get_server_version(drizzle_con) < 40100) && opt_master_data)
-  {
-    fprintf(stderr, "-- %s: the combination of --single-transaction and "
-            "--master-data requires a DRIZZLE server version of at least 4.1 "
-            "(current server's version is %s). %s\n",
-            ignore_errors ? "Warning" : "Error",
-            drizzle_con->server_version ? drizzle_con->server_version : "unknown",
-            ignore_errors ? "Continuing due to --force, backup may not be consistent across all tables!" : "Aborting.");
-    if (!ignore_errors)
-      exit(EX_DRIZZLEERR);
-  }
-
   return (drizzle_query_with_error_report(drizzle_con, 0,
                                         "SET SESSION TRANSACTION ISOLATION "
                                         "LEVEL REPEATABLE READ") ||
           drizzle_query_with_error_report(drizzle_con, 0,
                                         "START TRANSACTION "
-                                        "/*!40100 WITH CONSISTENT SNAPSHOT */"));
+                                        "WITH CONSISTENT SNAPSHOT"));
 }
 
 
@@ -2995,15 +2973,15 @@
   {
     if (drizzle_errno(drizzle) != ER_PARSE_ERROR)
     {                                   /* If old DRIZZLE version */
-      verbose_msg("-- Warning: Couldn't get status information for "
-                  "table %s (%s)\n", table_name, drizzle_error(drizzle));
+      verbose_msg(_("-- Warning: Couldn't get status information for "
+                  "table %s (%s)\n"), table_name, drizzle_error(drizzle));
       return(result);                       /* assume table is ok */
     }
   }
   if (!(row= drizzle_fetch_row(res)))
   {
     fprintf(stderr,
-            "Error: Couldn't read status information for table %s (%s)\n",
+            _("Error: Couldn't read status information for table %s (%s)\n"),
             table_name, drizzle_error(drizzle));
     drizzle_free_result(res);
     return(result);                         /* assume table is ok */
@@ -3065,8 +3043,8 @@
   if (drizzle_query(drizzle, show_keys_buff) ||
       !(res= drizzle_store_result(drizzle)))
   {
-    fprintf(stderr, "Warning: Couldn't read keys from table %s;"
-            " records are NOT sorted (%s)\n",
+    fprintf(stderr, _("Warning: Couldn't read keys from table %s;"
+            " records are NOT sorted (%s)\n"),
             table_name, drizzle_error(drizzle));
     /* Don't exit, because it's better to print out unsorted records */
     goto cleanup;
@@ -3096,7 +3074,7 @@
     result= (char *)malloc(result_length + 10);
     if (!result)
     {
-      fprintf(stderr, "Error: Not enough memory to store ORDER BY clause\n");
+      fprintf(stderr, _("Error: Not enough memory to store ORDER BY clause\n"));
       goto cleanup;
     }
     drizzle_data_seek(res, 0);

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2009-01-07 09:27:07 +0000
+++ drizzled/show.cc	2009-01-10 14:34:28 +0000
@@ -1052,23 +1052,10 @@
   buffer->append(STRING_WITH_LEN("CREATE DATABASE "));
 
   if (create_options & HA_LEX_CREATE_IF_NOT_EXISTS)
-    buffer->append(STRING_WITH_LEN("/*!32312 IF NOT EXISTS*/ "));
+    buffer->append(STRING_WITH_LEN("IF NOT EXISTS "));
 
   append_identifier(session, buffer, dbname, strlen(dbname));
 
-  if (create.default_table_charset)
-  {
-    buffer->append(STRING_WITH_LEN(" /*!40100"));
-    buffer->append(STRING_WITH_LEN(" DEFAULT CHARACTER SET "));
-    buffer->append(create.default_table_charset->csname);
-    if (!(create.default_table_charset->state & MY_CS_PRIMARY))
-    {
-      buffer->append(STRING_WITH_LEN(" COLLATE "));
-      buffer->append(create.default_table_charset->name);
-    }
-    buffer->append(STRING_WITH_LEN(" */"));
-  }
-
   return(false);
 }
 

